Bug 208442 - up2date Server Failover Doesn't Work
up2date Server Failover Doesn't Work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 12:04 EDT by Carsten Clasohm
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0815
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:33:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2006-09-28 12:04:47 EDT
Description of problem:

When up2date is configured for server failover as described on

https://rhn.redhat.com/rhn/help/client-config/rhn400/en/s1-latest-clients-configuring.jsp#S2-CLIENT-CONFIG-FAILOVER

the first URL is tried, but if that fails, up2date exits with an error message
instead of using the next URL.


Version-Release number of selected component (if applicable):

rhnlib-1.8.7-4
up2date-4.4.69-25


How reproducible:

always


Steps to Reproduce:

1. Edit /etc/sysconfig/rhn/up2date and set the following two parameters (one
line each):

serverURL=https://station1.example.com/XMLRPC; https://satellite.example.com/XMLRPC;
noSSLServerURL=http://station1.example.com/XMLRPC;
http://satellite.example.com/XMLRPC;

2. Run "up2date -l"


Actual results:

An error has occurred:
exceptions.NameError
See /var/log/up2date for more information

[Thu Sep 28 17:54:59 2006] up2date updating login info
[Thu Sep 28 17:54:59 2006] up2date logging into up2date server
[Thu Sep 28 17:55:02 2006] up2date An error occured talking to
station1.example.com:
socket.error
(113, 'No route to host')
Trying the next serverURL:  https://satellite.example.com/XMLRPC

[Thu Sep 28 17:55:02 2006] up2date   File "/usr/sbin/up2date", line 1288, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 693, in main
    up2dateAuth.updateLoginInfo()
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 146, in
updateLoginInfo
    login()
   File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 108, in login
    li = rpcServer.doCall(server.up2date.login, systemId)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 236, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/lib/python2.3/xmlrpclib.py", line 1029, in __call__
    return self.__send(self.__name, args)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 72, in _request1
    raise InvalidRedirectionError(


Expected results:

station1.example.com is indeed down, but satellite.exampe.com is running.
up2date should access it after the connection to station1 failed.
Comment 1 Red Hat Bugzilla 2007-04-11 21:17:11 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Pradeep Kilambi 2007-07-27 17:37:52 EDT
this is not a blocker
Comment 4 Pradeep Kilambi 2007-07-31 14:04:36 EDT
fixed,
Committed revision 118736.
Comment 8 errata-xmlrpc 2007-11-15 11:33:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0815.html
Comment 9 daryl herzmann 2007-11-15 13:01:11 EST
Hi,

On our systems, if noSSLServerURL, serverURL, and sslCACert have a trailing ";",
it will break up2date with:

# up2date -l
ERROR: can not find RHNS CA file:: 

line 162 on config.py
                elif values[0] == "":
                    value = []

probably needs to check the last (-1) element too

Comment 10 Pradeep Kilambi 2007-11-15 13:29:58 EST
which version of up2date are you seeing this? Does this happen on latest 4.6 pkg
as well? Let me know so I can open a ticket for 4.7 so we don't miss it.
Comment 11 daryl herzmann 2007-11-15 13:55:36 EST
Hi,

Instead of hijacking this ticket, I opened a new one:

https://bugzilla.redhat.com/show_bug.cgi?id=385161

daryl

Note You need to log in before you can comment on or make changes to this bug.